@mixin Container {
  width: $containerWidth;
  margin: auto;
  $step: 10;
  @for $i from 1 through 10 {
    @media screen and (min-width: $containerWidth+($i*$step)) {
      width: $containerWidth+$i*$step;
    }
  }
}

.container {
  @include Container;
  padding: $paddingMini;
  margin-top: 97px;
}

.container-plain {
  @include Container;
  padding: $paddingMini;
}

.container-pure {
  @include Container;
}

.uppercase {
  text-transform: uppercase;
}

a[disabled] {
  user-select: none;
}

div {
  &.hr {
    height: 2px;
    background: rgb(21, 44, 99);
    border-bottom: 1px solid rgb(92, 122, 192);
    &.dashed {
      border-bottom: 2px dashed #344158;
      width: 100%;
      background-color: transparent;
    }
    &-light {
      height: 2px;
      background: linear-gradient(rgb(18, 34, 72) 1px, rgb(39, 62, 118) 1px);
    }
  }
}

h1 {
  font-weight: 700;
  font-size: 18px;
  margin: 0px;
}

h2 {
  font-weight: 500;
  font-size: 18px;
  padding: 10px 0px;
}

.color {
  &-white {
    color: rgb(255, 255, 255);
  }
  &-orange {
    color: rgb(254, 169, 17);
  }
  &-green {
    color: rgb(54, 208, 82);
  }
  &-red {
    color: #ff3737;
  }
  &-accent {
    color: $accentColor;
    &-light {
      color: #00bac3;
    }
  }
  &-lightBlue {
    color: #8ac0c6;
  }
  &-darkBlue {
    color: #539a9e;
  }
  &-secondary {
    color: $fontColor-secondary;
  }
  &-icon {
    color: #757d8d;
  }
  &-info {
    color: #a4a6aa;
  }
  //v2
  &-teal {
    color: $teal;
  }
  &-grey {
    color: $grey;
  }
}

.text {
  &-09 {
    font-size: .9rem;
  }
  &-small {
    font-size: .675rem;
  }
  &-medium {
    font-size: .775rem;
  }
  &-huge {
    font-size: 1.5rem;
  }
  &-uppercase {
    text-transform: uppercase;
  }
  &-lowercase {
    text-transform: lowercase;
  }
  &-underline {
    text-decoration: underline;
  }
  &-ellipsis {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  &-normal {
    font-weight: normal;
  }
  &-light {
    font-weight: 100;
  }
  &-bold {
    font-weight: bold;
  }
  &-center {
    text-align: center;
  }
  //v2
  &-18 {
    font-size: 18px;
  }
  &-16 {
    font-size: 16px;
  }
}

.img {
  &-full {
    max-width: 100%;
  }
}

@each $padding in $paddings {
  .pb-#{str-slice($padding+'', 1, 2)} {
    padding-bottom: $padding;
  }
  .pt-#{str-slice($padding+'', 1, 2)} {
    padding-top: $padding;
  }
  .pl-#{str-slice($padding+'', 1, 2)} {
    padding-left: $padding;
  }
  .pr-#{str-slice($padding+'', 1, 2)} {
    padding-right: $padding;
  }
}

@each $margin in $margins {
  .mb-#{str-slice($margin+'', 1, 2)} {
    margin-bottom: $margin;
  }
  .mt-#{str-slice($margin+'', 1, 2)} {
    margin-top: $margin;
  }
  .ml-#{str-slice($margin+'', 1, 2)} {
    margin-left: $margin;
  }
  .mr-#{str-slice($margin+'', 1, 2)} {
    margin-right: $margin;
  }
}

.margin {
  &-left {
    margin-left: $marginMini;
    &-half {
      margin-left: $marginMini / 2;
    }
    &-big {
      margin-left: $marginMini * 2;
    }
  }
  &-right {
    margin-right: $marginMini;
    &-half {
      margin-right: $marginMini / 2;
    }
    &-big {
      margin-right: $marginMini * 2;
    }
  }
  @media screen and (min-width: 390px) {
    &-left {
      margin-left: $marginMini+4;
      &-half {
        margin-left: $marginMini+4 / 2;
      }
      &-big {
        margin-left: $marginMini+4 * 2;
      }
    }
    &-right {
      margin-right: $marginMini+4;
      &-half {
        margin-right: $marginMini+4 / 2;
      }
      &-big {
        margin-right: $marginMini+4 * 2;
      }
    }
  }
}

.icon {
  &_align {
    &-right {
      position: absolute;
      right: 10px;
      width: 30px;
      margin-left: 0px;
      margin-right: 0px;
    }
  }
  &_size {
    &-small {
      right: 0px;
      width: 20px;
    }
  }
}

//TODO - temporary, remove after normal design
.waitingLoader {
  position: absolute;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
  height: 100%;
  width: 100%;
  z-index: 4;
  background-color: rgba(0, 0, 0, 0.2);
}

.scroll {
  &-container {
    /*    position: relative;
        overflow-x: hidden;
        overflow-y: auto;*/
  }
  &_loader {
    &-overlay {
      position: absolute;
      left: 0px;
      right: 0px;
      top: 0px;
      bottom: 0px;
      z-index: 1;
      display: flex;
      align-items: flex-start;
      justify-content: center;
      background-color: rgba(41, 52, 73, 0.6);
      font-size: 1.125rem;
      letter-spacing: 1.4px;
      padding-top: $paddingLarge * 2;
    }
  }
}
